Summary:	Hash-based Predictive Lempel-Ziv compressor
Summary(pl.UTF-8):	Kompresor wykorzystujący metodę Lempel-Ziv z predykcją opartą na haszach
Name:		lz4
Version:	1.9.3
Release:	2
Epoch:		1
License:	BSD (library), GPL v2+ (CLI utility)
Group:		Applications
#Source0Download: https://github.com/lz4/lz4/releases
Source0:	https://github.com/lz4/lz4/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	3a1ab1684e14fc1afc66228ce61b2db3
URL:		http://www.lz4.org/
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZ4 is a very fast compressor, based on well-known LZ77 (Lempel-Ziv)
algorithm. It is a LZP2 fork and provides better compression ratio for
text files.

%description -l pl.UTF-8
LZ4 to bardzo szybki kompresor, oparty na dobrze znanym algorytmie
LZ77 (Lempel-Ziv). Jest to odgałęzienie LZP2, zapewniające lepszy
współczynnik kompresji dla plików tekstowych.

%package libs
Summary:	LZ4 library
Summary(pl.UTF-8):	Biblioteka LZ4
License:	BSD
Group:		Libraries
Conflicts:	lz4 < 0.0-1.r121.3

%description libs
LZ4 library.

%description libs -l pl.UTF_8
Biblioteka LZ4.

%package devel
Summary:	Development files for the LZ4 compressor
Summary(pl.UTF-8):	Pliki programistyczne kompresora LZ4
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
LZ4 is a very fast compressor, based on well-known LZ77 (Lempel-Ziv)
algorithm. It is a LZP2 fork and provides better compression ratio for
text files.

This subpackage contains the header files for developing applications
that want to make use of liblz4.

%description devel -l pl.UTF-8
LZ4 to bardzo szybki kompresor, oparty na dobrze znanym algorytmie
LZ77 (Lempel-Ziv). Jest to odgałęzienie LZP2, zapewniające lepszy
współczynnik kompresji dla plików tekstowych.

Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących liblz4.

%package static
Summary:	Static LZ4 compressor library
Summary(pl.UTF-8):	Statyczna biblioteka kompresora LZ4
License:	BSD
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static LZ4 compressor library.

%description static -l pl.UTF-8
Statyczna biblioteka kompresora LZ4.

%prep
%setup -q

%build
%{__make} -j1 \
	MOREFLAGS="%{rpmcflags} %{rpmcppflags}" \
	LDFLAGS="%{rpmldflags}" \
	CC="%{__cc}" \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	INCLUDEDIR=%{_includedir} \
	MANDIR=%{_mandir} \
	INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT \

install -d $RPM_BUILD_ROOT/%{_lib}
%{__mv} $RPM_BUILD_ROOT%{_libdir}/liblz4.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/liblz4.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/liblz4.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%attr(755,root,root) %{_bindir}/lz4
%attr(755,root,root) %{_bindir}/lz4c
%attr(755,root,root) %{_bindir}/lz4cat
%attr(755,root,root) %{_bindir}/unlz4
%{_mandir}/man1/lz4.1*
%{_mandir}/man1/lz4c.1*
%{_mandir}/man1/lz4cat.1*
%{_mandir}/man1/unlz4.1*

%files libs
%defattr(644,root,root,755)
%doc lib/{LICENSE,README.md}
%attr(755,root,root) /%{_lib}/liblz4.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/liblz4.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblz4.so
%{_includedir}/lz4.h
%{_includedir}/lz4hc.h
%{_includedir}/lz4frame.h
%{_includedir}/lz4frame_static.h
%{_pkgconfigdir}/liblz4.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblz4.a
%changelog
* Wed Nov 24 2021 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lz4.git;a=log;h=master

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 6c4acee
- rebuild with separate debuginfo build-ids

* Tue Apr 13 2021 Jan Palus <atler@pld-linux.org> 5c6cacf
- up to 1.9.3

* Thu Sep 12 2019 Jakub Bogusz <qboosh@pld-linux.org> 48fb141
- updated to 1.9.2

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 6d4c441
- updated to 1.9.1

* Wed Apr 17 2019 Adam Gołębiowski <adamg@pld-linux.org> a94157f
- updated to 1.9.0

* Tue Oct 16 2018 Adam Gołębiowski <adamg@pld-linux.org> db099af
- updated to 1.8.3

* Tue May 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b2e0cf
- up to 1.8.2; keep headers in the same place as other distros do

* Sat Mar 17 2018 Jakub Bogusz <qboosh@pld-linux.org> 36946a5
- updated to 1.8.1.2

* Thu Nov 23 2017 Jakub Bogusz <qboosh@pld-linux.org> b32ee1a
- updated to 1.8.0

* Mon Jul 03 2017 Elan Ruusamäe <glen@pld-linux.org> 1503228
- BR pkgconfig again

* Wed Feb 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> a307ed0
- up to 1.7.5

* Sun Dec 18 2016 Jakub Bogusz <qboosh@pld-linux.org> bfc18eb
- package -libs docs, noted download URL; pkgconfig doesn't seem to be used at build time

* Wed Dec 14 2016 Elan Ruusamäe <glen@delfi.ee> 194c462
- BR pkgconfig

* Mon Dec 12 2016 Elan Ruusamäe <glen@delfi.ee> 3eeb7ae
- epoch 1 to handle upgrades

* Mon Dec 12 2016 Elan Ruusamäe <glen@delfi.ee> c3b7583
- install headers to lz4 subdir

* Mon Dec 12 2016 Elan Ruusamäe <glen@delfi.ee> 6dd5117
- up to 1.7.4.2

* Sun Nov 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 17feb2b
- added nom32 patch: don't build m32 variants in all target

* Sat Oct 29 2016 Jan Rękorajski <baggins@pld-linux.org> a1bd698
- move library to /lib for syslog-ng
- rel 5

* Wed Oct 05 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> a65ca27
- BR: gcc-multilib-32 on x86_64

* Sun Dec 27 2015 Jan Rękorajski <baggins@pld-linux.org> f667998
- restore old version in C in libs
- add R libs to main package
- rel 4

